##### Start Release Orchestration ######

- slug: release-orch_1
  parent:
  short_jtbd: Create a release and update it
  jtbd: When I'm ready to deploy a change I want to deploy to production state for customer consumption so I can get adoption of the product released.
  grade: "b"
  confidence: Researched
  source: "https://gitlab.com/gitlab-org/gitlab-design/-/issues/431"
  group: Release Management
- slug: release-orch_2
  parent: release-orch_1
  short_jtbd:
  jtbd: When tracking important deliverables in my project I want to easily create and manage all related information for a software release  so I can provide a packaged software, notes, and files for people to use
  grade: "c"
  confidence: Researched
  source: "https://gitlab.com/gitlab-org/gitlab-design/-/issues/431"
  group: Release Management
- slug: release-orch_3
  parent: release-orch_1
  short_jtbd:
  jtbd: When releasing changes to various environments  I want to be able to tag versions of code  so I can track an incremental build through approvals to become a production version/build.
  grade: "b"
  confidence: Researched
  source: "https://gitlab.com/gitlab-org/gitlab-design/-/issues/431"
  group: Release Management
- slug: release-orch_4
  parent: release-orch_1
  short_jtbd:
  jtbd: When ready to prepare a new version of my software to be released I want to be able to add all available attributes to my package of release content from a single place (whether in the UI or API) so I can bring all data without having to change application context
  grade: "c"
  confidence: Heuristic
  source:
  group: Release Management
- slug: release-orch_5
  parent:
  short_jtbd: Tracking and coordinating deployments
  jtbd: When ensuring teams are coordinated about Releases I want to deploy to production state for customer consumption so I can show the body of work that goes into deploying to production.
  grade: "-"
  confidence:
  source:
  group: Release Management
- slug: release-orch_6
  parent: release-orch_5
  short_jtbd:
  jtbd: When I am planning deployments or changes to production I want to make sure all my teams are informed and know what changes will be be made when so I can ensure our customers have positive experience with our code/product.
  grade: "-"
  confidence:
  source:
  group: Release Management
- slug: release-orch_7
  parent: release-orch_5
  short_jtbd:
  jtbd: When I am planning deployments or changes to production I want to use a single tool across multiple projects so I can reduce failure points in the devops lifecycle as a switch tools.
  grade: "-"
  confidence:
  source:
  group: Release Management
- slug: release-orch_8
  parent: release-orch_5
  short_jtbd:
  jtbd: When scheduling a future release I want to keep my release private or only to internal team member so I can publish the final version at a later date.
  grade: "-"
  confidence:
  source:
  group: Release Management
- slug: release-evid-1
  parent:
  short_jtbd: Easily respond to audit request
  jtbd: When I am looking at changes to a production environment  I want to be able to see who made the changes, when and why the changes were made so I can adequately respond to an audit
  grade: "d"
  confidence: Heuristic
  source:
  group: Release Management
- slug: release-evid-2
  parent: release-evid-1
  short_jtbd:
  jtbd: When I am requested from an auditor to sample changes to production I want to easily and naturally provide the source of the change so I can adequately respond to an audit
  grade: "-"
  confidence: Researched
  source:
  group: Release Management
- slug: release-evid-3
  parent: release-evid-1
  short_jtbd:
  jtbd: When a compliance check is run and the compliance team wants to confirm we have records of production I want to be able to minimize the disruption to the internal teams by empowering the compliance team to self-serve these changes without giving access to the source code so I can adequately respond to an audit
  grade: "-"
  confidence:
  source:
  group: Release Management
- slug: release-evid-4
  parent: release-evid-1
  short_jtbd:
  jtbd: When an auditor is asking for proof of separation of duties in my changes to productions I want to be able to show who made the change and who approved the change to production so I can adequately respond to an audit
  grade: "-"
  confidence:
  source:
  group: Release Management
- slug: release-evid-5
  parent:
  short_jtbd: Proactively avoid audit issues
  jtbd: When I am preparing for the auditor I want to be able to confirm we are following compliance standards around MR approvals so I can correct violations prior to an audit request.
  grade: "-"
  confidence:
  source:
  group: Release Management
- slug: secrets-mgt-1
  parent:
  short_jtbd: HashiCorp Vault for secrets
  jtbd: When I need to use a secret/token/password I want to use my HashiCorp Vault so I can leverage the tool I am already using for Secrets Management.
  grade: "-"
  confidence:
  source:
  group: Release Management
- slug: secrets-mgt-2
  parent: secrets-mgt-1
  short_jtbd:
  jtbd: When I need to use a secret/token/password for a pipeline I want to authenticate into HashiCorp Vault, pass the secret to the CI Job and execute the pipeline so I can leverage the tool I am already using for Secrets Management.
  grade: "-"
  confidence:
  source:
  group: Release Management
- slug: secrets-mgt-3
  parent:
  short_jtbd: Securely manage secrets
  jtbd: When I am deploying changes to environments outside of GitLab I want to easily authenticate and pass the appropriate secrets between GitLab and the environment without exposing the secret so I can deploy my changes to production quickly.
  grade: "d"
  confidence: Researched
  source:
  group: Release Management
- slug: secrets-mgt-4
  parent: secrets-mgt-3
  short_jtbd:
  jtbd: When I am using secrets for pipelines I want to be able to access those secrets easily and from a single place so I can deploy my changes to production quickly.
  grade: "-"
  confidence:
  source:
  group: Release Management
- slug: secrets-mgt-5
  parent: secrets-mgt-3
  short_jtbd:
  jtbd:  When I am working with tokens or passwords I want to keep these secret and avoid revealing the values in an audit log or to other developers so I can maintain secrets management best pratices and avoid a breach of data.
  grade: "-"
  confidence:
  source:
  group: Release Management
- slug: secrets-mgt-6
  parent: secrets-mgt-3
  short_jtbd:
  jtbd: When I am enforcing compliance standards for passwords, tokens, and secrets I want to be able to set automated secret rotation so I can avoid disrupting developers workflows and being in breach of compliance.
  grade: "-"
  confidence:
  source:
  group: Release Management
- slug: secrets-mgt-7
  parent: secrets-mgt-3
  short_jtbd:
  jtbd: When I am accesing a system to deploy my change to an environment I want to be able to access the system without leaving my CLI to log in so I can deploy my changes to production quickly.
  grade: "-"
  confidence:
  source:
  group: Release Management
- slug: pages-1
  parent:
  short_jtbd: Easily deploy static sites
  jtbd: When I am deploying a static site I want to use kubernetes for my cloud native installation so I can leverage auto-devops and other benefits of K8.
  grade: "-"
  confidence:
  source:
  group: Release Management
- slug: pages-2
  parent: easily_deploy_static_sites
  short_jtbd:
  jtbd: When I am setting up a static site for A/B testing I want to have multiple versions for the same site live so I can run tests on different cohorts of users in the same timeframe.
  grade: "-"
  confidence:
  source:
  group: Release Management
- slug: pages-3
  parent: pages-1
  short_jtbd:
  jtbd: When I have a custom domain or multiple domains I want to be able to redirect the other domains to my custom/main domain so I can optimize SEO rankings and ensure traffic from like domains are tracked.
  grade: "-"
  confidence:
  source:
  group: Release Management
- slug: pages-4
  parent: pages-1
  short_jtbd:
  jtbd: When I am setting up a static site  I want to be able to set up the site with a wildcard DNS so I can avoid setting up a custom domain.
  grade: "-"
  confidence:
  source:
  group: Release Management

##### Start Package ######

- slug: package_jtbd_1
  parent:
  short_jtbd: Reliability + Stability
  jtbd: When my organization is producing and storing packages and/or images, I need the Package and Container Registry to function seamlessly and reliably, so our developers have a consistently stable product development experience.
  grade: "-"
  confidence: Researched
  source: "https://gitlab.com/gitlab-org/gitlab/-/issues/197187#note_272660711"
  group: Package
- slug: package_jtbd_1_a
  parent: package_jtbd_1
  short_jtbd:
  jtbd: When my code changes are ready to be merged, I need my Ci/CD solution to automatically build my package and deploy it to the correct registry, so I can efficiently deliver an improved experience to the customer.
  grade: "-"
  confidence: Researched
  source: "https://gitlab.com/gitlab-org/gitlab/-/issues/197187#note_272660711"
  group: Package
- slug: package_jtbd_1_b
  parent: package_jtbd_1
  short_jtbd:
  jtbd: When I need to add a new package to my codebase, I need an easy way to know what version to use, so I can deliver quality without worrying about dependency related regressions due to versioning.
  grade: "-"
  confidence: Researched
  source: "https://gitlab.com/gitlab-org/gitlab/-/issues/197187#note_272660711"
  group: Package
- slug: package_jtbd_1_c
  parent: package_jtbd_1
  short_jtbd:
  jtbd: When I am actively working on improving my organization's code base, I need a smooth and consistent authentication experience with regard to the registries, so I can focus my attention on delivering value to our customers.
  grade: "-"
  confidence: Researched
  source: "https://gitlab.com/gitlab-org/gitlab/-/issues/197187#note_272660711"
  group: Package
- slug: package_jtbd_1_d
  parent: package_jtbd_1
  short_jtbd:
  jtbd: When I am updating a package meant to be shared with my peers, I need a way to document the changes to that package over time, so my users have a transparent history incase any regression occurs due to the packages use.
  grade: "-"
  confidence: Researched
  source: "https://gitlab.com/gitlab-org/gitlab/-/issues/197187#note_272660711"
  group: Package
- slug: package_jtbd_1_e
  parent: package_jtbd_1
  short_jtbd:
  jtbd: When my pipelines have completed, I need an easy way to confirm my package was successfully published to the registry, so I can troubleshoot any possible issues early and have peace of mind that my code was successfully delivered to customers.
  grade: "-"
  confidence: Researched
  source: "https://gitlab.com/gitlab-org/gitlab/-/issues/197187#note_272660711"
  group: Package
- slug: package_jtbd_1_f
  parent: package_jtbd_1
  short_jtbd:
  jtbd: When I am troubleshooting a package related issue, I need an easy way to understand the history of changes by version of specific packages, so I can quickly identify and resolve the regression to improve the experience of our customers.
  grade: "-"
  confidence: Researched
  source: "https://gitlab.com/gitlab-org/gitlab/-/issues/197187#note_272660711"
  group: Package
- slug: package_jtbd_1_g
  parent: package_jtbd_1
  short_jtbd:
  jtbd: When my package or image is ready to be added to the registry, I need to be able to publish the package using the command line, so my changes can be delivered to production without any interruption in experience.
  grade: "-"
  confidence: Researched
  source: "https://gitlab.com/gitlab-org/gitlab/-/issues/197187#note_272660711"
  group: Package
- slug: package_jtbd_1_h
  parent: package_jtbd_1
  short_jtbd:
  jtbd: When I am troubleshooting a bug related to a package, I need be quickly connected with the pipeline, branch, and commit related to this version, so I can identify the problem area and create an informed action plan forward.
  grade: "-"
  confidence: Researched
  source: "https://gitlab.com/gitlab-org/gitlab/-/issues/197187#note_272660711"
  group: Package
- slug: package_jtbd_1_i
  parent: package_jtbd_1
  short_jtbd:
  jtbd: When I am working with packages related to a bug, I need an easy-to-access reference to what a specific package is dependent on, so I can identify a possible problem area and move forward towards resolving the degradation in experience.
  grade: "-"
  confidence: Researched
  source: "https://gitlab.com/gitlab-org/gitlab/-/issues/197187#note_272660711"
  group: Package
- slug: package_jtbd_1_j
  parent: package_jtbd_1
  short_jtbd:
  jtbd: When I am selecting which package to add to my code base, I need to know at a glance when this package was created or last updated, so the addition of the package is less likely to interrupt the experience and introduce regressions.
  grade: "-"
  confidence: Researched
  source: "https://gitlab.com/gitlab-org/gitlab/-/issues/197187#note_272660711"
  group: Package
- slug: package_jtbd_1_k
  parent: package_jtbd_1
  short_jtbd:
  jtbd: When I am troubleshooting a bug related to a package, I need to quickly find a list of any common issues or bugs, so I can make an informed decision on how to resolve the issue.
  grade: "-"
  confidence: Researched
  source: "https://gitlab.com/gitlab-org/gitlab/-/issues/197187#note_272660711"
  group: Package
- slug: package_jtbd_1_l
  parent: package_jtbd_1
  short_jtbd:
  jtbd: When I need to add a package to my codebase, I need to know the packages that my DevOps team have verified are good to use, so I can help in delivering a consistent experience across the code base and product.
  grade: "-"
  confidence: Researched
  source: "https://gitlab.com/gitlab-org/gitlab/-/issues/197187#note_272660711"
  group: Package
- slug: package_jtbd_2
  parent:
  short_jtbd: Product evaluation
  jtbd: When my organization is exploring whether to move to new DevOps tool, I want to understand GitLab’s Package and Container Registries capabilities, so my organization can make an informed tooling decision.
  grade: "-"
  confidence: Researched
  source: "https://gitlab.com/gitlab-org/gitlab/-/issues/197187#note_272660726"
  group: Package
- slug: package_jtbd_2_a
  parent: package_jtbd_2
  short_jtbd:
  jtbd: When my organization is considering using GitLab's Package Registry, I need to easily discover and understand what features exist, so I can help my organization determine if moving to GitLab’s registries is in the best interest of the company.
  grade: "-"
  confidence: Researched
  source: "https://gitlab.com/gitlab-org/gitlab/-/issues/197187#note_272660726"
  group: Package
- slug: package_jtbd_2_b
  parent: package_jtbd_2
  short_jtbd:
  jtbd: When I am exploring the viability of GitLab’s Package Management solution, I need to understand what would keep my organization from being able to use the tool, so I can help my organization make an informed decision.
  grade: "-"
  confidence: Researched
  source: "https://gitlab.com/gitlab-org/gitlab/-/issues/197187#note_272660726"
  group: Package
- slug: package_jtbd_2_c
  parent: package_jtbd_2
  short_jtbd:
  jtbd: When I am evaluating GitLab's Package Registry, I need an easy way to understand the relevant expected costs, so I can make an informed purchasing decision related to Package and Container Registries.
  grade: "-"
  confidence: Researched
  source: "https://gitlab.com/gitlab-org/gitlab/-/issues/197187#note_272660726"
  group: Package
- slug: package_jtbd_2_d
  parent: package_jtbd_2
  short_jtbd:
  jtbd: When I am considering different package managers for my organization to use, I need to understand how GitLab's product offering compares to what my team is currently using, so I can make an informed decision.
  grade: "-"
  confidence: Researched
  source: "https://gitlab.com/gitlab-org/gitlab/-/issues/197187#note_272660726"
  group: Package
- slug: package_jtbd_2_e
  parent: package_jtbd_2
  short_jtbd:
  jtbd: When I am first exploring different package managers, I need to know if GitLab can support all of my organization's package managers, so I know whether GitLab’s solution is a good fit for my organization.
  grade: "-"
  confidence: Researched
  source: "https://gitlab.com/gitlab-org/gitlab/-/issues/197187#note_272660726"
  group: Package
- slug: package_jtbd_2_f
  parent: package_jtbd_2
  short_jtbd:
  jtbd: When I am first exploring package manager solutions, I need to understand what the process and timeline of a migration, so I can know if/when I can stop paying for third party package management solutions.
  grade: "-"
  confidence: Researched
  source: "https://gitlab.com/gitlab-org/gitlab/-/issues/197187#note_272660726"
  group: Package
- slug: package_jtbd_2_g
  parent: package_jtbd_2
  short_jtbd:
  jtbd: When I am considering the usage of GitLab’s registries over a third-party alternative, I need to understand when I will be able to stop needing a 3rd party package manager, so I can make an informed cost versus reward analysis.
  grade: "-"
  confidence: Researched
  source: "https://gitlab.com/gitlab-org/gitlab/-/issues/197187#note_272660726"
  group: Package
- slug: package_jtbd_3
  parent: package_jtbd_3
  short_jtbd: Storage management tools
  jtbd: Whenever my organization utilizes the GitLab registry, I need tools to keep the registries organized and to help manage storage usage and costs, so I can ensure the registries run as smoothly and efficiently as possible for my organization and customers.
  grade: "-"
  confidence: Researched
  source: "https://gitlab.com/gitlab-org/gitlab/-/issues/197187#note_272660732"
  group: Package
- slug: package_jtbd_3_a
  parent: package_jtbd_3
  short_jtbd:
  jtbd: When I am trying to figure out which image tags can be deleted, I need an easy to find way to know if there are any tags that have not been in use, so that I can free up storage space with limited interruption to the developer or customer experience.
  grade: "-"
  confidence: Researched
  source: "https://gitlab.com/gitlab-org/gitlab/-/issues/197187#note_272660732"
  group: Package
- slug: package_jtbd_3_b
  parent: package_jtbd_3
  short_jtbd:
  jtbd: When I want to see why my storage costs for GItLab are so high, I need an easy way to see how much space the Container and Package Registry are using, so I report costs and come up with a plan to lower them.
  grade: "-"
  confidence: Researched
  source: "https://gitlab.com/gitlab-org/gitlab/-/issues/197187#note_272660732"
  group: Package
- slug: package_jtbd_3_c
  parent: package_jtbd_3
  short_jtbd:
  jtbd: When my organizations registries have an increased number of packages or images, I need the tools to maintain and clean up the registries, so my team has the best development experience while keeping costs manageable and the customer experience consistent.
  grade: "-"
  confidence: Researched
  source: "https://gitlab.com/gitlab-org/gitlab/-/issues/197187#note_272660732"
  group: Package
- slug: package_jtbd_3_d
  parent: package_jtbd_3
  short_jtbd:
  jtbd: When I am setting up the registries, I need the ability to set default tag or version expiration and retention policies, so my developers can utilize the power of CI/CD without worrying about cluttering the registry leading to unnecessary costs.
  grade: "-"
  confidence: Researched
  source: "https://gitlab.com/gitlab-org/gitlab/-/issues/197187#note_272660732"
  group: Package
- slug: package_jtbd_3_e
  parent: package_jtbd_3
  short_jtbd:
  jtbd: When my organization needs information related to GitLab's operating costs, I need to understand costs related to the different registries, so that I can easily answer financially-related questions and create an informed action plan.
  grade: "-"
  confidence: Researched
  source: "https://gitlab.com/gitlab-org/gitlab/-/issues/197187#note_272660732"
  group: Package
- slug: package_jtbd_3_f
  parent: package_jtbd_3
  short_jtbd:
  jtbd: When I am setting up the registry for my instance, I need the ability to set project/group/instance quotas for how much storage each project/group can utilize, so I can keep costs under control throughout my organization.
  grade: "-"
  confidence: Researched
  source: "https://gitlab.com/gitlab-org/gitlab/-/issues/197187#note_272660732"
  group: Package
- slug: package_jtbd_3_g
  parent: package_jtbd_3
  short_jtbd:
  jtbd: When a project or group on my team has exceeded their respective quota, I need to be alerted and provided an easy way to act on this alert, so that I can enforce best practices throughout my organization and limit organizational cost.
  grade: "-"
  confidence: Researched
  source: "https://gitlab.com/gitlab-org/gitlab/-/issues/197187#note_272660732"
  group: Package
- slug: package_jtbd_3_h
  parent: package_jtbd_3
  short_jtbd:
  jtbd: When my organization begins to heavily utilize the registries, I need the ability to create and enforce policies for enforcing size quotas, so that I can be sure that all projects are operating in an efficient manner, lowering organization costs and ensuring a stable experience.
  grade: "-"
  confidence: Researched
  source: "https://gitlab.com/gitlab-org/gitlab/-/issues/197187#note_272660732"
  group: Package
- slug: package_jtbd_4
  parent:
  short_jtbd: Migrate to GitLab's Package offering
  jtbd: When my organization decides to move forward with GitLab’s Package offering, I need to efficiently plan and migrate my organization’s packages and images to GitLab’s Registries, so I can bring these resources into the single secure DevOps tool without causing disruption to my team.
  grade: "-"
  confidence: Researched
  source: "https://gitlab.com/gitlab-org/gitlab/-/issues/197187#note_272660691"
  group: Package
- slug: package_jtbd_4_a
  parent: package_jtbd_4
  short_jtbd:
  jtbd: When my team migrates to the GitLab registries, I need an easy way to set up or change my Ci/CD pipelines, so my packages or images are automatically created and stored in the correct registry.
  grade: "-"
  confidence: Researched
  source: "https://gitlab.com/gitlab-org/gitlab/-/issues/197187#note_272660691"
  group: Package
- slug: package_jtbd_4_b
  parent: package_jtbd_4
  short_jtbd:
  jtbd: When I am first using the GitLab Package and Docker Container Registries, I need easy access to help and documentation, so I can quickly get up to speed on the new tool and delivery code-packages efficiently.
  grade: "-"
  confidence: Researched
  source: "https://gitlab.com/gitlab-org/gitlab/-/issues/197187#note_272660691"
  group: Package
- slug: package_jtbd_4_c
  parent: package_jtbd_4
  short_jtbd:
  jtbd: When my organization is in the process of migration, I need to make the necessary authentication tokens and authorizations, so developers have the correct permissions to read/write to the appropriate registries.
  grade: "-"
  confidence: Researched
  source: "https://gitlab.com/gitlab-org/gitlab/-/issues/197187#note_272660691"
  group: Package
- slug: package_jtbd_4_d
  parent: package_jtbd_4
  short_jtbd:
  jtbd: When my team or organization needs to migrate to the GitLab Package/Container Registry, I need an easy easy way to publish packages from a 3rd party registry over to GitLab, so my organization can pull the required resources from GitLab's registry without experiencing any interruption.
  grade: "-"
  confidence: Researched
  source: "https://gitlab.com/gitlab-org/gitlab/-/issues/197187#note_272660691"
  group: Package
- slug: package_jtbd_4_e
  parent: package_jtbd_4
  short_jtbd:
  jtbd: When my team is migrating to the GitLab's Package/Container Registry, I need to understand how this migration will impact my development workflows and when I’ll need to know when to make that transition, so I can continue delivering feature improvements with limited interruption.
  grade: "-"
  confidence: Researched
  source: "https://gitlab.com/gitlab-org/gitlab/-/issues/197187#note_272660691"
  group: Package
- slug: package_jtbd_4_f
  parent: package_jtbd_4
  short_jtbd:
  jtbd: When my team or organization needs to migrate to the GitLab Package/Container Registry, I need an easy easy way to publish a package from my computer to the registry, so I can confirm I have correct privileges and the ability to use the registries.
  grade: "-"
  confidence: Researched
  source: "https://gitlab.com/gitlab-org/gitlab/-/issues/197187#note_272660691"
  group: Package
- slug: package_jtbd_4_g
  parent: package_jtbd_4
  short_jtbd:
  jtbd: When my company is in the process of Package and Image migration, I need to know when the migration is complete, so that I can cancel the other service(s) safely.
  grade: "-"
  confidence: Researched
  source: "https://gitlab.com/gitlab-org/gitlab/-/issues/197187#note_272660691"
  group: Package
- slug: package_jtbd_4_h
  parent: package_jtbd_4
  short_jtbd:
  jtbd: When my organization is in the process of migration, I need to understand the status of the migration and how long it is taking, so I can accurately report on progress, monitor for any possible issues, and understand the overall impacts to the organization.
  grade: "-"
  confidence: Researched
  source: "https://gitlab.com/gitlab-org/gitlab/-/issues/197187#note_272660691"
  group: Package
- slug: package_jtbd_5
  parent:
  short_jtbd: Make data informed decisions
  jtbd: When my development ecosystem begins to mature, I need an overall view and understanding of my organization’s registry and package usage, so I can make effective development and architectural decisions.
  grade: "-"
  confidence: Researched
  source: "https://gitlab.com/gitlab-org/gitlab/-/issues/197187#note_272660726"
  group: Package
- slug: package_jtbd_5_a
  parent: package_jtbd_5
  short_jtbd:
  jtbd: When I am reviewing the security and compliance of my codebase, I need an easy way to review the quality of my package dependencies, so I can minimize the risks of customers or fellow engineers experiencing a degraded experience.
  grade: "-"
  confidence: Researched
  source: "https://gitlab.com/gitlab-org/gitlab/-/issues/197187#note_272660726"
  group: Package
- slug: package_jtbd_5_b
  parent: package_jtbd_5
  short_jtbd:
  jtbd: When I need to make decisions that impact how my team utilizes a package manager, I need to understand which packages are being used and by which projects, so that I can ensure my team is using the correct versions of packages and not introducing risk into the pipeline.
  grade: "-"
  confidence: Researched
  source: "https://gitlab.com/gitlab-org/gitlab/-/issues/197187#note_272660726"
  group: Package
- slug: package_jtbd_5_c
  parent: package_jtbd_5
  short_jtbd:
  jtbd: When I am making decisions around my teams package-related architecture, I need to see my org's most commonly used packages or images, so I can better understand our platforms dependencies and make informed decisions.
  grade: "-"
  confidence: Researched
  source: "https://gitlab.com/gitlab-org/gitlab/-/issues/197187#note_272660726"
  group: Package
- slug: package_jtbd_6
  parent:
  short_jtbd: Everyone can contribute
  jtbd: When my organization utilizes the GitLab Package and Container Registries, I need to understand how and when to engage with the package team, so I can actively contribute to making the registry experience better for myself and the broader open source community.
  grade: "-"
  confidence: Researched
  source: "https://gitlab.com/gitlab-org/gitlab/-/issues/197187#note_272660746"
  group: Package
- slug: package_jtbd_6_a
  parent: package_jtbd_6
  short_jtbd:
  jtbd: I as a Community Member and open source enthusiast, I want to be able to actively contribute to GitLab’s Registry, so I can improve the experience and capabilities of the offering both for me and other GitLabbers. I need an easy way to discover open Package issues that are good candidates for community contribution. I also need to understand the best way to contribute and further engage with the package team to ensure a smooth MR and product experience.
  grade: "-"
  confidence: Researched
  source: "https://gitlab.com/gitlab-org/gitlab/-/issues/197187#note_272660746"
  group: Package
- slug: package_jtbd_6_b
  parent: package_jtbd_6
  short_jtbd:
  jtbd: When I am ready to contribute a larger scale change to the registry (like submitting a new package manager integration), I need to understand the best way to format and submit my contribution, so I can quickly and easily add my improvement to the experience.
  grade: "-"
  confidence: Researched
  source: "https://gitlab.com/gitlab-org/gitlab/-/issues/197187#note_272660746"
  group: Package
- slug: package_jtbd_6_c
  parent: package_jtbd_6
  short_jtbd:
  jtbd: When I get stuck or have a question when trying to contribute to the registry features, I need to understand the best way to interact/ask questions of the GitLab Package team, so I can move forward and contribute After I have submitted a community contribution to the Package team, I need to understand the outcome of my contribution and its impact on users, so I feel like my contribution is valuable and useful.
  grade: "-"
  confidence: Researched
  source: "https://gitlab.com/gitlab-org/gitlab/-/issues/197187#note_272660746"
  group: Package
- slug: package_jtbd_7
  parent:
  short_jtbd: More reliable builds
  jtbd: When my organization is proxying/caching images and/or packages from external remotes, I need the Dependency Proxy to function seamlessly and reliably, so our developers have a consistently stable product development experience.
  grade: "-"
  confidence: Researched
  source: "https://gitlab.com/gitlab-org/gitlab/-/issues/197187#note_309999068"
  group: Package
- slug: package_jtbd_8
  parent:
  short_jtbd: Security + Compliance
  jtbd: When my development ecosystem utilizes third-party package or image dependencies, I need to ensure these assets don't introduce security vulnerabilities and compliance violations to my codebase, so my development and product ecosystem can operate without interruption.
  grade: "-"
  confidence: Researched
  source: "https://gitlab.com/gitlab-org/gitlab/-/issues/197187#note_310001008"
  group: Package
- slug: package_jtbd_9
  parent:
  short_jtbd: Versioned Releases
  jtbd: When I create different versions of artifacts I want those to be stored in a central and immutable place for easy access and distribution so that devices and users can consume the latest artifacts in release bundles.
  grade: "-"
  confidence: Researched
  source: "https://gitlab.com/gitlab-org/gitlab/-/issues/215390"
  group: Package

##### Start Testing ######

- slug: testing-a11y
  parent:
  short_jtbd: Test Accessibility of a website
  jtbd: When I run CI for a web app or web site, I want to automatically test for accessibility so I can be confident everyone can get value from my changes.
  grade: "-"
  confidence:
  source:
  group: Testing
- slug: testing-a11y-a
  parent: testing-a11y
  short_jtbd:
  jtbd: When I make changes for my website, I want to automatically see how those changes impacted accessibility of the site, so that I can be confident everyone can get value from my changes.
  grade: "b"
  confidence: Tested
  source: "https://gitlab.com/gitlab-org/gitlab-design/-/issues/1057"
  group: Testing
- slug: testing-a11y-b
  parent: testing-a11y
  short_jtbd:
  jtbd: When I review my website source, I want to see a list of accessibility issues, so that I can proactively fix those issues in a future change.
  grade: "-"
  confidence:
  source:
  group: Testing
- slug: testing-code-qual
  parent:
  short_jtbd: Scan and report Code Quality of a project
  jtbd: When I am writing code for a project, I want that code to be scanned for issues like duplication and not following standards, so it is easier to read by others making contributions.
  grade: "-"
  confidence:
  source:
  group: Testing
- slug: testing-code-qual-a
  parent: testing-code-qual
  short_jtbd:
  jtbd: When I make changes to my project, I want to automatically see how those changes impacted the quality of the code, so that I can be confident my change improves the readability of the project.
  grade: "-"
  confidence:
  source:
  group: Testing
- slug: testing-code-qual-b
  parent: testing-code-qual
  short_jtbd:
  jtbd: When I review my project summary, I want to see a list of code quality issues, so that I can proactively fix those issues in a future change.
  grade: "-"
  confidence:
  source:
  group: Testing
- slug: testing-code-qual-c
  parent: testing-code-qual
  short_jtbd:
  jtbd: When I am reviewing code in a merge request or a file, I want to see a list of code quality issues identified in the file, so that I can help improve code quality in the project.
  grade: "-"
  confidence:
  source:
  group: Testing
- slug: testing-junit-results
  parent:
  short_jtbd: Review results of tests ran during continuous integration
  jtbd: When I build my project, I want to review test result data, so that I can identify failures and improve code quality.
  grade: "-"
  confidence:
  source:
  group: Testing
- slug: testing-junit-results-a
  parent: testing-junit-results
  short_jtbd: Review tests with different results from target branch
  jtbd: When I build my project, I want to review data of test results different than my target branch, so I can see how my changes impact overall quality.
  grade: "-"
  confidence:
  source:
  group: Testing
- slug: testing-junit-results-b
  parent: testing-junit-results
  short_jtbd: Review all test results
  jtbd: When I build my project, I want to review the results of all tests run, so I can try to fix any of the failing tests if need be.
  grade: "-"
  confidence:
  source:
  group: Testing
- slug: testing-code-coverage
  parent:
  short_jtbd: Measure test coverage of a project
  jtbd: When I want to see a high level quality measure, I want to know how much code in my project is covered by tests, so that I can target improvements for areas of the project that do not have tests.
  grade: "-"
  confidence:
  source:
  group: Testing
- slug: testing-code-coverage-a
  parent: testing-code-coverage
  short_jtbd: Measure change in code coverage in a pipeline
  jtbd: When I run a pipeline, I want to see how the changes will change coverage of the target branch, so that I can maintain a required level of coverage.
  grade: "-"
  confidence:
  source:
  group: Testing
- slug: testing-web-performance
  parent:
  short_jtbd: Measure performance of a website or project
  jtbd: When I build my project, I want to know if my changes negatively impact performance of the web components, so that I can ensure customers do not leave because my site is slow.
  grade: "-"
  confidence:
  source:
  group: Testing
  slug: testing-web-performance-a
  parent: testing-web-performance
  short_jtbd: Measure change in web performance of a website or project
  jtbd: When I build my project, I want to know how the changes have impacted web performance metrics, so that I can keep my project performant easily.
  grade: "-"
  confidence:
  source:
  group: Testing
- slug: testing-usability
  parent:
  short_jtbd: Test usability of a project
  jtbd: When I am making changes to user centric projects, I want to gather feedback on usability before I merge, so that I can incorporate feedback to keep my design user-centric without a lot of rework.
  grade: "-"
  confidence:
  source:
  group: Testing
- slug: testing-usability-a
  parent: testing-usability
  short_jtbd: Test usability of a project early
  jtbd: When there is a change ready to test, I want to be able to leave comments on visual elements in the review app, so that my teammates can incorporate feedback quickly after the build.
  grade: "-"
  confidence:
  source:
  group: Testing

##### Start Plan ######

- slug: plan_jtbd_1
  parent:
  short_jtbd: Map business and portfolio plans to market opportunities
  jtbd: When preparing for planning or strategy review, I need to understand how previous work was performed and what was delivered, so I can make informed decisions on where we need to focus in the future.
  grade: "-"
  confidence:
  source:
  group: Plan
- slug: plan_jtbd_1_a
  parent: plan_jtbd_1
  short_jtbd:
  jtbd: TBD
  grade: "-"
  confidence:
  source:
  group: Plan
- slug: plan_jtbd_2
  parent:
  short_jtbd: Strategic alignment
  jtbd: When crafting my strategic plan, I need to validate to business owners that I am providing a return, so I can increase trust with stakeholders and promote confidence in my plans.
  grade: "-"
  confidence:
  source:
  group: Plan
- slug: plan_jtbd_2_a
  parent: plan_jtbd_2
  short_jtbd:
  jtbd: TBD
  grade: "-"
  confidence:
  source:
  group: Plan
- slug: plan_jtbd_3
  parent:
  short_jtbd: Validate business value
  jtbd: When working through a list of ideas, I need to be able to validate that an opportunity is valuable and worth funding a solution, so I can deliver value to my customers and drive success for the org.
  grade: "-"
  confidence:
  source:
  group: Plan
- slug: plan_jtbd_3_a
  parent: plan_jtbd_3
  short_jtbd:
  jtbd: TBD
  grade: "-"
  confidence:
  source:
  group: Plan
- slug: plan_jtbd_4
  parent:
  short_jtbd: Validate feasibility
  jtbd: When working through a list of validated opportunities, I need to be able to understand effort and map ROI for each, so I can prioritize the right sequence of work.
  grade: "-"
  confidence:
  source:
  group: Plan
- slug: plan_jtbd_4_a
  parent: plan_jtbd_4
  short_jtbd:
  jtbd: TBD
  grade: "-"
  confidence:
  source:
  group: Plan
- slug: plan_jtbd_5
  parent:
  short_jtbd: Manage Budgets
  jtbd: When creating or revising an initiative's operational plan, I need to allocate resources to it so it is clear what the projected costs will be and what capacity is available to complete work on an ongoing basis.
  grade: "-"
  confidence:
  source:
  group: Plan
- slug: plan_jtbd_5_a
  parent: plan_jtbd_5
  short_jtbd:
  jtbd: TBD
  grade: "-"
  confidence:
  source:
  group: Plan
- slug: plan_jtbd_6
  parent:
  short_jtbd: Create implementation plan
  jtbd: When conducting Product Increment or Sprint planning, my team needs to convert prioritized initiatives and their business objectives into estimate-able work items to be delivered, so that we can sequence work according to available capacity and relative ROI.
  grade: "-"
  confidence:
  source:
  group: Plan
- slug: plan_jtbd_6_a
  parent: plan_jtbd_6
  short_jtbd:
  jtbd:
  grade: "-"
  confidence:
  source:
  group: Plan
- slug: plan_jtbd_7
  parent:
  short_jtbd: Set expectations
  jtbd: When conducting Product Increment or Sprint planning, my team needs to commit to delivering a realistic amount of work within a given time period, so that stakeholders can understand what will be delivered and when.
  grade: "-"
  confidence:
  source:
  group: Plan
- slug: plan_jtbd_7_a
  parent: plan_jtbd_7
  short_jtbd:
  jtbd:
  grade: "-"
  confidence:
  source:
  group: Plan
- slug: plan_jtbd_8
  parent:
  short_jtbd: Get feedback
  jtbd: When my team completes a unit of value, we need to get feedback as quickly as possible on whether or not what we delivered was valuable to the end user, so that we can make incremental progress towards our business objectives.
  grade: "-"
  confidence:
  source:
  group: Plan
- slug: plan_jtbd_8_a
  parent: plan_jtbd_8
  short_jtbd:
  jtbd:
  grade: "-"
  confidence:
  source:
  group: Plan
- slug: plan_jtbd_9
  parent:
  short_jtbd: Report On Progress
  jtbd: When monitoring a team's work in flight, I need to be able to easily review and digest the current progress so that I can confidently report to stakeholders and leadership.
  grade: "-"
  confidence:
  source:
  group: Plan
- slug: plan_jtbd_9_a
  parent: plan_jtbd_9
  short_jtbd:
  jtbd:
  grade: "-"
  confidence:
  source:
  group: Plan
- slug: plan_jtbd_10
  parent:
  short_jtbd: Maintain trust
  jtbd: When reporting status, I need to be able to ensure my status is accurate, current, and quantifiable so I can maintain a high level of trust with stakeholders.
  grade: "-"
  confidence:
  source:
  group: Plan
- slug: plan_jtbd_10_a
  parent: plan_jtbd_10
  short_jtbd:
  jtbd: TBD
  grade: "-"
  confidence:
  source:
  group: Plan
- slug: plan_jtbd_11
  parent:
  short_jtbd: Mitigate Risks
  jtbd: When reviewing a plan, I need to ensure that high risk items can be identified and continually monitored so I can validate and modify mitigation plans.
  grade: "-"
  confidence:
  source:
  group: Plan
- slug: plan_jtbd_12
  parent:
  short_jtbd: Monitor Output
  jtbd: When implementing to a plan, I need to monitor progress (velocity) so I can demonstrate that the team is efficiently capturing value for our stakeholders.
  grade: "-"
  confidence:
  source:
  group: Plan
- slug: plan_jtbd_13
  parent:
  short_jtbd: Improve Processes
  jtbd: When reviewing a prior cycle, I can easily reflect on and improve my team's effectiveness.
  grade: "-"
  confidence:
  source:
  group: Plan
- slug: plan_jtbd_14
  parent:
  short_jtbd: Report On Outcomes
  jtbd: When reviewing progress against our objectives, I can easily measure the success of our past work which informs future plans
  grade: "-"
  confidence:
  source:
  group: Plan

##### Start Progressive Delivery ######

- slug: release-pd_1
  parent:
  short_jtbd: Template JTBD
  jtbd: When situation I want to job so I can outcome.
  grade: "-"
  confidence: 
  source: 
  group: Progressive Delivery
- slug: release-pd_2
  parent: release-pd_1
  short_jtbd: Template JTBD Job Story
  jtbd: When situation I want to job so I can outcome.
  grade: "-"
  confidence: 
  source: 
  group: Progressive Delivery
